Query Index
Description
This API enables you to query a NoSQL index in your project and fetch data. The index is referred to by its unique ID.
Request Details
Request URL
{api-domain}/baas/v1/project/{{project_id}}/nosqltable/{{table_identifier}}//index/{{index_identifier/}}/item/query
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.nosql.POST
Request JSON Properties
Response Details
The response will return the status of the query operation, as well as the items that are fetched according to the conditions set in the query.
curl -X POST
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/nosqltable/3376000003171728/index/786387162881/item/query
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
-H “Content-Type:application/json”
-d -d ‘{
key_condition:{
partition_key:{
“S”:“Country”
},
sort_key:{
“N”:“EmpID”
},
}
required_attributes: {
“EmpID”,
“FirstName”,
“LastName”,
“PriorExperience”
},
consistent_read: “true”
}’
{
“status”: “success”,
“data”: {
fetched_data:{
“item”: {
“EmpID”: {
“N”: “10999”
},
“FirstName”:{
“S”: “Paul”
},
“LastName”:{
“S”: “Smith”
},
“PriorExperience”:{
“BOOL”: false
}
}
}
}
}
Yes
No
Send your feedback to us